<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\SemesterScoreModel;

class SemesterScoreModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(SemesterScoreModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(SemesterScoreModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(SemesterScoreModel::class);
    }
}
